### Method

# FwupdPlugin EfiLoadOption set_metadata

since: 2.0.0

#### Declaration [src]

    void
    fu_efi_load_option_set_metadata (
      FuEfiLoadOption* self,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Sets an optional attribute. If `value` is `NULL` then the key will be removed.

NOTE: When the key is `Path`, any leading backslash will be stripped automatically and added back as-required on export.

Available since: 2.0.0

#### Parameters

`key`

  Type: `const gchar*`

  UTF-8 string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  UTF-8 string, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.